> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Create Evaluation

POST https://your-agent-domain.com/api/v1/evaluators/{id}/evaluations
Content-Type: application/json

Runs an evaluation on the provided content using the specified evaluator

Reference: https://docs.apologist.ai/agent-api/api-reference/evaluations/evaluate-content

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /evaluators/{id}/evaluations:
    post:
      operationId: evaluateContent
      summary: Create Evaluation
      description: Runs an evaluation on the provided content using the specified evaluator
      tags:
        - evaluators
      parameters:
        - name: id
          in: path
          description: The ID or key of the evaluator
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Evaluation result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Evaluators_evaluateContent_Response_200'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Invalid request payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Service Unavailable - Evaluator not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluatorRequest'
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    EvaluatorRequestContent:
      oneOf:
        - type: string
        - type: array
          items:
            description: Any type
      title: EvaluatorRequestContent
    EvaluatorRequestReasoningEffort:
      type: string
      enum:
        - low
        - medium
        - high
      title: EvaluatorRequestReasoningEffort
    EvaluatorRequestVerbosity:
      type: string
      enum:
        - minimal
        - low
        - medium
        - high
      title: EvaluatorRequestVerbosity
    EvaluatorRequest:
      type: object
      properties:
        frequency_penalty:
          type:
            - number
            - 'null'
          format: double
        confidence_threshold:
          type:
            - number
            - 'null'
          format: double
        content:
          $ref: '#/components/schemas/EvaluatorRequestContent'
        model:
          type:
            - string
            - 'null'
        presence_penalty:
          type:
            - number
            - 'null'
          format: double
        reasoning_effort:
          oneOf:
            - $ref: '#/components/schemas/EvaluatorRequestReasoningEffort'
            - type: 'null'
        verbosity:
          oneOf:
            - $ref: '#/components/schemas/EvaluatorRequestVerbosity'
            - type: 'null'
        temperature:
          type:
            - number
            - 'null'
          format: double
        top_p:
          type:
            - number
            - 'null'
          format: double
        variables:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
          description: >
            Flat string key/value pairs substituted into `{key}` placeholders in
            the evaluator prompt. Reserved keys (`options`,
            `option_descriptions`, `criteria`) cannot be overridden. Not
            persisted; omitted from the response.
      required:
        - content
      title: EvaluatorRequest
    EvaluatorsIdEvaluationsPostResponsesContentApplicationJsonSchemaResult:
      type: object
      properties: {}
      title: EvaluatorsIdEvaluationsPostResponsesContentApplicationJsonSchemaResult
    Evaluators_evaluateContent_Response_200:
      type: object
      properties:
        result:
          $ref: >-
            #/components/schemas/EvaluatorsIdEvaluationsPostResponsesContentApplicationJsonSchemaResult
      title: Evaluators_evaluateContent_Response_200
    Error:
      type: object
      properties:
        success:
          type: boolean
        errors:
          type: array
          items:
            type: string
      required:
        - success
        - errors
      title: Error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

```

## Examples



**Request**

```json
{
  "content": "string"
}
```

**Response**

```json
{
  "result": {}
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.evaluators.evaluateContent("id", {
        content: "string",
    });
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent(
    api_key="YOUR_API_KEY_HERE",
)

client.evaluators.evaluate_content(
    id="id",
    content="string",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.evaluators.requests.EvaluatorRequest;
import ai.apologist.resources.evaluators.types.EvaluatorRequestContent;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.evaluators().evaluateContent(
            "id",
            EvaluatorRequest
                .builder()
                .content(
                    EvaluatorRequestContent.of("string")
                )
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.evaluators.evaluate_content(
  id: "id",
  content: "string"
)

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Evaluators.EvaluateContentAsync(
            new EvaluatorRequest {
                Id = "id",
                Content = "string"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.EvaluatorRequest{
        ID: "id",
        Content: &apgsdkgo.EvaluatorRequestContent{
            String: "string",
        },
    }
    client.Evaluators.EvaluateContent(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;
use Apologist\Evaluators\Requests\EvaluatorRequest;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->evaluators->evaluateContent(
    'id',
    new EvaluatorRequest([
        'content' => 'string',
    ]),
);

```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["content": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/evaluators/id/evaluations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```